> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> POST /users

`POST /users`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json POST /users`


## OpenAPI

````yaml /openapi/crm.json POST /users
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create User
      operationId: post_users
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                firstName:
                  type: string
                lastName:
                  type: string
                phone:
                  type: string
                role:
                  type: string
                status:
                  type: string
                timezone:
                  anyOf:
                    - type: string
                  nullable: true
                username:
                  type: string
                type:
                  type: string
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    county:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                participatingOfficeIds:
                  type: array
                  items:
                    type: string
                password:
                  type: string
              required:
                - email
                - firstName
                - lastName
                - phone
                - role
                - status
                - username
                - type
                - address
          multipart/form-data:
            schema:
              type: object
              properties:
                email:
                  type: string
                firstName:
                  type: string
                lastName:
                  type: string
                phone:
                  type: string
                role:
                  type: string
                status:
                  type: string
                timezone:
                  anyOf:
                    - type: string
                  nullable: true
                username:
                  type: string
                type:
                  type: string
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    county:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                participatingOfficeIds:
                  type: array
                  items:
                    type: string
                password:
                  type: string
              required:
                - email
                - firstName
                - lastName
                - phone
                - role
                - status
                - username
                - type
                - address
          text/plain:
            schema:
              type: object
              properties:
                email:
                  type: string
                firstName:
                  type: string
                lastName:
                  type: string
                phone:
                  type: string
                role:
                  type: string
                status:
                  type: string
                timezone:
                  anyOf:
                    - type: string
                  nullable: true
                username:
                  type: string
                type:
                  type: string
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    county:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                participatingOfficeIds:
                  type: array
                  items:
                    type: string
                password:
                  type: string
              required:
                - email
                - firstName
                - lastName
                - phone
                - role
                - status
                - username
                - type
                - address
      responses:
        '201':
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    firstName:
                      type: string
                    lastName:
                      type: string
                    email:
                      type: string
                    phone:
                      type: string
                    role:
                      type: string
                    status:
                      type: string
                    timezone:
                      anyOf:
                        - type: string
                      nullable: true
                    created:
                      anyOf:
                        - type: string
                      nullable: true
                    updated:
                      anyOf:
                        - type: string
                      nullable: true
                    rolloutUpdated:
                      type: string
                    originalIds:
                      type: object
                      additionalProperties:
                        anyOf:
                          - type: number
                          - type: string
                    original:
                      type: object
                      additionalProperties:
                        type: object
                        additionalProperties: {}
                    address:
                      anyOf:
                        - type: object
                          properties:
                            type:
                              type: string
                            street:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            code:
                              type: string
                            county:
                              type: string
                            country:
                              type: string
                          required:
                            - type
                            - street
                            - city
                            - state
                            - code
                            - country
                      nullable: true
                    username:
                      type: string
                    type:
                      type: string
                    offices:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                        required:
                          - id
                  required:
                    - id
                    - firstName
                    - lastName
                    - email
                    - phone
                    - role
                    - status
                    - timezone
                    - created
                    - updated
                    - rolloutUpdated
                    - originalIds
                    - original
                    - address
                    - username
                    - type
                    - offices
                  additionalProperties: false
            multipart/form-data:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    firstName:
                      type: string
                    lastName:
                      type: string
                    email:
                      type: string
                    phone:
                      type: string
                    role:
                      type: string
                    status:
                      type: string
                    timezone:
                      anyOf:
                        - type: string
                      nullable: true
                    created:
                      anyOf:
                        - type: string
                      nullable: true
                    updated:
                      anyOf:
                        - type: string
                      nullable: true
                    rolloutUpdated:
                      type: string
                    originalIds:
                      type: object
                      additionalProperties:
                        anyOf:
                          - type: number
                          - type: string
                    original:
                      type: object
                      additionalProperties:
                        type: object
                        additionalProperties: {}
                    address:
                      anyOf:
                        - type: object
                          properties:
                            type:
                              type: string
                            street:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            code:
                              type: string
                            county:
                              type: string
                            country:
                              type: string
                          required:
                            - type
                            - street
                            - city
                            - state
                            - code
                            - country
                      nullable: true
                    username:
                      type: string
                    type:
                      type: string
                    offices:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                        required:
                          - id
                  required:
                    - id
                    - firstName
                    - lastName
                    - email
                    - phone
                    - role
                    - status
                    - timezone
                    - created
                    - updated
                    - rolloutUpdated
                    - originalIds
                    - original
                    - address
                    - username
                    - type
                    - offices
                  additionalProperties: false
            text/plain:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    firstName:
                      type: string
                    lastName:
                      type: string
                    email:
                      type: string
                    phone:
                      type: string
                    role:
                      type: string
                    status:
                      type: string
                    timezone:
                      anyOf:
                        - type: string
                      nullable: true
                    created:
                      anyOf:
                        - type: string
                      nullable: true
                    updated:
                      anyOf:
                        - type: string
                      nullable: true
                    rolloutUpdated:
                      type: string
                    originalIds:
                      type: object
                      additionalProperties:
                        anyOf:
                          - type: number
                          - type: string
                    original:
                      type: object
                      additionalProperties:
                        type: object
                        additionalProperties: {}
                    address:
                      anyOf:
                        - type: object
                          properties:
                            type:
                              type: string
                            street:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            code:
                              type: string
                            county:
                              type: string
                            country:
                              type: string
                          required:
                            - type
                            - street
                            - city
                            - state
                            - code
                            - country
                      nullable: true
                    username:
                      type: string
                    type:
                      type: string
                    offices:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                        required:
                          - id
                  required:
                    - id
                    - firstName
                    - lastName
                    - email
                    - phone
                    - role
                    - status
                    - timezone
                    - created
                    - updated
                    - rolloutUpdated
                    - originalIds
                    - original
                    - address
                    - username
                    - type
                    - offices
                  additionalProperties: false
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````